load_bmp(3)

NAME
load_bmp - Loads a BMP bitmap from a file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *load_bmp(const char *filename, RGB *pal);

DESCRIPTION
Loads an 8-bit, 16-bit, 24-bit or 32-bit Windows or OS/2 BMP file.

RETURN VALUE
Returns a pointer to the bitmap or NULL on error. Remember that you are responsible for destroying the bitmap when you are finished with it to avoid memory leaks.

SEE ALSO
load_bitmap(3), load_bmp_pf(3)